# Uses of Class
net.sourceforge.jiu.ops.MissingParameterException

Packages that use MissingParameterException
Package
Description
net.sourceforge.jiu.codecs
net.sourceforge.jiu.codecs.jpeg
net.sourceforge.jiu.codecs.tiff
net.sourceforge.jiu.color
net.sourceforge.jiu.color.adjustment
net.sourceforge.jiu.color.analysis
net.sourceforge.jiu.color.dithering
net.sourceforge.jiu.color.promotion
net.sourceforge.jiu.color.quantization
net.sourceforge.jiu.color.reduction
net.sourceforge.jiu.filters
net.sourceforge.jiu.geometry
net.sourceforge.jiu.ops

## Uses of MissingParameterException in net.sourceforge.jiu.codecs

Methods in net.sourceforge.jiu.codecs that throw MissingParameterException
Modifier and Type
Method
Description
`private void`
IFFCodec.`checkAndLoad()`
`protected void`
ImageCodec.`initModeFromIOObjects()`
`private void`
BMPCodec.`load()`
`private void`
PNMCodec.`load()`
Loads an image from a PNM input stream.
`private void`
BMPCodec.`loadHeader()`
`private void`
BMPCodec.`loadStream()`
`void`
BMPCodec.`process()`
`void`
GIFCodec.`process()`
`void`
IFFCodec.`process()`
`void`
PalmCodec.`process()`
`void`
PCDCodec.`process()`
Checks the parameter and loads an image.
`void`
PNGCodec.`process()`
`void`
PNMCodec.`process()`
`private void`
BMPCodec.`save()`
`private void`
GIFCodec.`save()`
`private void`
PNMCodec.`save()`

## Uses of MissingParameterException in net.sourceforge.jiu.codecs.jpeg

Methods in net.sourceforge.jiu.codecs.jpeg that throw MissingParameterException
Modifier and Type
Method
Description
`void`
JPEGCodec.`process()`

## Uses of MissingParameterException in net.sourceforge.jiu.codecs.tiff

Methods in net.sourceforge.jiu.codecs.tiff that throw MissingParameterException
Modifier and Type
Method
Description
`void`
TIFFDecoder.`initialize()`
Check if all necessary parameters have been given to this decoder and initialize several internal fields from them.
`void`
TIFFDecoderDeflated.`initialize()`
`void`
TIFFDecoderLogLuv.`initialize()`
`void`
TIFFDecoderModifiedHuffman.`initialize()`
`void`
TIFFCodec.`process()`

## Uses of MissingParameterException in net.sourceforge.jiu.color

Methods in net.sourceforge.jiu.color that throw MissingParameterException
Modifier and Type
Method
Description
`private void`
Invert.`prepare(PixelImage in)`
`void`
Invert.`process()`
Inverts the input image, reusing an output image if one has been specified.

## Uses of MissingParameterException in net.sourceforge.jiu.color.adjustment

Methods in net.sourceforge.jiu.color.adjustment that throw MissingParameterException
Modifier and Type
Method
Description
`void`
Brightness.`process()`
`void`
Contrast.`process()`
`void`
GammaCorrection.`process()`
`void`
HueSaturationValue.`process()`

## Uses of MissingParameterException in net.sourceforge.jiu.color.analysis

Methods in net.sourceforge.jiu.color.analysis that throw MissingParameterException
Modifier and Type
Method
Description
`static TextureAnalysis`
TextureAnalysis.`compute(CoOccurrenceMatrix matrix)`
Create a TextureAnalysis operation with the results computed from a given matrix.
`static TextureAnalysis`
TextureAnalysis.`compute(IntegerImage image, int channelIndex)`
For one channel of the argument image, create a TextureAnalysis operation with all attributes
`void`
Histogram1DCreator.`process()`
`void`
Histogram3DCreator.`process()`
`void`
MeanDifference.`process()`
`void`
TextureAnalysis.`process()`
Run over the input matrix and determine contrast, energy, entropy and homogeneity of that matrix.

## Uses of MissingParameterException in net.sourceforge.jiu.color.dithering

Methods in net.sourceforge.jiu.color.dithering that throw MissingParameterException
Modifier and Type
Method
Description
`void`
ClusteredDotDither.`process()`
`void`
ErrorDiffusionDithering.`process()`
Quantizes the input image, distributing quantization errors to neighboring pixels.
`void`
OrderedDither.`process()`

## Uses of MissingParameterException in net.sourceforge.jiu.color.promotion

Methods in net.sourceforge.jiu.color.promotion that throw MissingParameterException
Modifier and Type
Method
Description
`private void`
PromotionGray16.`prepare(PixelImage in)`
`private void`
PromotionGray8.`prepare(PixelImage in)`
`private void`
PromotionPaletted8.`prepare(PixelImage in)`
`private void`
PromotionRGB24.`prepare(PixelImage in)`
`private void`
PromotionRGB48.`prepare(PixelImage in)`
`void`
PromotionGray16.`process()`
`void`
PromotionGray8.`process()`
`void`
PromotionPaletted8.`process()`
`void`
PromotionRGB24.`process()`
`void`
PromotionRGB48.`process()`

## Uses of MissingParameterException in net.sourceforge.jiu.color.quantization

Methods in net.sourceforge.jiu.color.quantization that throw MissingParameterException
Modifier and Type
Method
Description
`void`
OctreeColorQuantizer.`init()`
Creates an octree and prepares this quantizer so that colors can be mapped to palette index values.
`void`
ArbitraryPaletteQuantizer.`process()`
Maps the input image to an output image, using the palette given to the constructor.
`void`
MedianCutContourRemoval.`process()`
`void`
MedianCutQuantizer.`process()`
`void`
OctreeColorQuantizer.`process()`
Initializes an octree, reduces it have as many leaves (or less) as the desired palette size and maps the original image to the newly-created palette.
`void`
PopularityQuantizer.`process()`

## Uses of MissingParameterException in net.sourceforge.jiu.color.reduction

Methods in net.sourceforge.jiu.color.reduction that throw MissingParameterException
Modifier and Type
Method
Description
`static PixelImage`
RGBToGrayConversion.`convert(PixelImage rgbImage)`
Static convenience method to convert an RGB image to a grayscale image.
`void`
AutoDetectColorType.`process()`
`void`
ReduceRGB.`process()`
`void`
ReduceShadesOfGray.`process()`
`void`
ReduceToBilevelThreshold.`process()`
`void`
RGBToGrayConversion.`process()`
`private void`
RGBToGrayConversion.`process(Paletted8Image in)`

## Uses of MissingParameterException in net.sourceforge.jiu.filters

Methods in net.sourceforge.jiu.filters that throw MissingParameterException
Modifier and Type
Method
Description
`void`
AreaFilterOperation.`process()`
`void`
ConvolutionKernelFilter.`process()`
`void`
OilFilter.`process()`

## Uses of MissingParameterException in net.sourceforge.jiu.geometry

Methods in net.sourceforge.jiu.geometry that throw MissingParameterException
Modifier and Type
Method
Description
`void`
Crop.`process()`
`void`
Flip.`process()`
`void`
Mirror.`process()`
`void`
Resample.`process()`
`void`
Rotate180.`process()`
`void`
Rotate90Left.`process()`
`void`
Rotate90Right.`process()`
`void`
ScaleReplication.`process()`
`void`
Shear.`process()`

## Uses of MissingParameterException in net.sourceforge.jiu.ops

Methods in net.sourceforge.jiu.ops that throw MissingParameterException
Modifier and Type
Method
Description
`void`
ImageToImageOperation.`ensureInputImageIsAvailable()`
If `ImageToImageOperation.getInputImage()` returns `null` this method throws a `MissingParameterException` complaining that an input image is missing.
`void`
LookupTableOperation.`prepareImages()`
`void`
LookupTableOperation.`process()`
`void`
Operation.`process()`
This method does the actual work of the operation.